org.restlet.data

## Class Tag

- java.lang.Object
- - org.restlet.data.Tag

    public final class Tag
    extends java.lang.Object

Validation tag equivalent to an HTTP entity tag (E-Tag). "A strong entity tag may be shared by two entities of a resource only if they are equivalent by octet equality.
A weak entity tag may be shared by two entities of a resource only if the entities are equivalent and could be substituted for each other with no significant change in semantics."

Author:
  Jerome Louvel
See Also:
  `RepresentationInfo.getTag()`, HTTP Entity Tags, HTTP Entity Tag Cache Validators

### Field Summary

Fields
`static Tag` `ALL` Tag matching any other tag, used in call's condition data.

### Constructor Summary

Constructors
Constructor and Description
`Tag()` Default constructor.
`Tag(java.lang.String opaqueTag)` Constructor of weak tags.
`Tag(java.lang.String opaqueTag, boolean weak)` Constructor.

### Method Summary

Methods
`boolean` `equals(java.lang.Object object)` Indicates if both tags are equal.
`boolean` `equals(java.lang.Object object, boolean checkWeakness)` Indicates if both tags are equal.
`java.lang.String` `format()` Returns tag formatted as an HTTP tag string.
`java.lang.String` `getName()` Returns the name, corresponding to an HTTP opaque tag value.
`int` `hashCode()`
`boolean` `isWeak()` Indicates if the tag is weak.
`static Tag` `parse(java.lang.String httpTag)` Parses a tag formatted as defined by the HTTP standard.
`java.lang.String` `toString()` Returns the name.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ALL

    public static final Tag ALL

Tag matching any other tag, used in call's condition data.

### Constructor Detail

#### Tag

    public Tag()

Default constructor. The opaque tag is set to null and the weakness indicator is set to true.

#### Tag

    public Tag(java.lang.String opaqueTag)

Constructor of weak tags.

Parameters:
  `opaqueTag` - The tag value.

#### Tag

    public Tag(java.lang.String opaqueTag,
       boolean weak)

Constructor.

Parameters:
  `opaqueTag` - The tag value.
  `weak` - The weakness indicator.

### Method Detail

#### parse

    public static Tag parse(java.lang.String httpTag)

Parses a tag formatted as defined by the HTTP standard.

Parameters:
  `httpTag` - The HTTP tag string; if it starts with 'W/' the tag will be marked as weak and the data following the 'W/' used as the tag; otherwise it should be surrounded with quotes (e.g., "sometag").
Returns:
  A new tag instance.
See Also:
  HTTP Entity Tags

#### equals

    public boolean equals(java.lang.Object object)

Indicates if both tags are equal.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `object` - The object to compare to.
Returns:
  True if both tags are equal.

#### equals

    public boolean equals(java.lang.Object object,
                 boolean checkWeakness)

Indicates if both tags are equal.

Parameters:
  `object` - The object to compare to.
  `checkWeakness` - the equality test takes care or not of the weakness.
Returns:
  True if both tags are equal.

#### format

    public java.lang.String format()

Returns tag formatted as an HTTP tag string.

Returns:
  The formatted HTTP tag string.
See Also:
  HTTP Entity Tags

#### getName

    public java.lang.String getName()

Returns the name, corresponding to an HTTP opaque tag value.

Returns:
  The name, corresponding to an HTTP opaque tag value.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### isWeak

    public boolean isWeak()

Indicates if the tag is weak.

Returns:
  True if the tag is weak, false if the tag is strong.

#### toString

    public java.lang.String toString()

Returns the name.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  The name.